Bug 1295377 - [abrt] claws-mail: gtk_entry_set_text(): claws-mail killed by SIGSEGV
[abrt] claws-mail: gtk_entry_set_text(): claws-mail killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
24
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:eb3e545e5697b697572d13d1ea0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-04 04:54 EST by Giulio 'juliuxpigface'
Modified: 2017-08-08 08:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.42 KB, text/plain)
2016-01-04 04:54 EST, Giulio 'juliuxpigface'
no flags Details
File: cgroup (229 bytes, text/plain)
2016-01-04 04:54 EST, Giulio 'juliuxpigface'
no flags Details
File: core_backtrace (13.41 KB, text/plain)
2016-01-04 04:54 EST, Giulio 'juliuxpigface'
no flags Details
File: dso_list (13.73 KB, text/plain)
2016-01-04 04:54 EST, Giulio 'juliuxpigface'
no flags Details
File: environ (1.94 KB, text/plain)
2016-01-04 04:54 EST, Giulio 'juliuxpigface'
no flags Details
File: exploitable (93 bytes, text/plain)
2016-01-04 04:54 EST, Giulio 'juliuxpigface'
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-04 04:54 EST, Giulio 'juliuxpigface'
no flags Details
File: maps (43.28 KB, text/plain)
2016-01-04 04:54 EST, Giulio 'juliuxpigface'
no flags Details
File: mountinfo (3.44 KB, text/plain)
2016-01-04 04:54 EST, Giulio 'juliuxpigface'
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-04 04:54 EST, Giulio 'juliuxpigface'
no flags Details
File: open_fds (1.85 KB, text/plain)
2016-01-04 04:55 EST, Giulio 'juliuxpigface'
no flags Details
File: proc_pid_status (920 bytes, text/plain)
2016-01-04 04:55 EST, Giulio 'juliuxpigface'
no flags Details
File: var_log_messages (297 bytes, text/plain)
2016-01-04 04:55 EST, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2016-01-04 04:54:15 EST
Description of problem:
I added a new account (the provider is gmail), then claws-mail closed suddenly and abrt caught the issue.

Version-Release number of selected component:
claws-mail-3.13.1-4.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        claws-mail
crash_function: gtk_entry_set_text
executable:     /usr/bin/claws-mail
global_pid:     6235
kernel:         4.4.0-0.rc6.git1.1.fc24.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_entry_set_text at gtkentry.c:6785
 #1 auto_configure_done at gtkutils.c:1878
 #2 resolve_done at gtkutils.c:1973
 #3 g_task_return_now at gtask.c:1107
 #4 complete_in_idle_cb at gtask.c:1121
 #9 g_main_context_iteration at gmain.c:3901
 #10 gtk_main_iteration at gtkmain.c:1356
 #11 threaded_run at imap-thread.c:427
 #12 imap_threaded_lsub at imap-thread.c:807
 #13 imap_scan_tree_recursive at imap.c:2725
Comment 1 Giulio 'juliuxpigface' 2016-01-04 04:54:28 EST
Created attachment 1111413 [details]
File: backtrace
Comment 2 Giulio 'juliuxpigface' 2016-01-04 04:54:30 EST
Created attachment 1111414 [details]
File: cgroup
Comment 3 Giulio 'juliuxpigface' 2016-01-04 04:54:34 EST
Created attachment 1111415 [details]
File: core_backtrace
Comment 4 Giulio 'juliuxpigface' 2016-01-04 04:54:37 EST
Created attachment 1111416 [details]
File: dso_list
Comment 5 Giulio 'juliuxpigface' 2016-01-04 04:54:39 EST
Created attachment 1111417 [details]
File: environ
Comment 6 Giulio 'juliuxpigface' 2016-01-04 04:54:42 EST
Created attachment 1111418 [details]
File: exploitable
Comment 7 Giulio 'juliuxpigface' 2016-01-04 04:54:46 EST
Created attachment 1111419 [details]
File: limits
Comment 8 Giulio 'juliuxpigface' 2016-01-04 04:54:55 EST
Created attachment 1111420 [details]
File: maps
Comment 9 Giulio 'juliuxpigface' 2016-01-04 04:54:57 EST
Created attachment 1111421 [details]
File: mountinfo
Comment 10 Giulio 'juliuxpigface' 2016-01-04 04:54:59 EST
Created attachment 1111422 [details]
File: namespaces
Comment 11 Giulio 'juliuxpigface' 2016-01-04 04:55:02 EST
Created attachment 1111423 [details]
File: open_fds
Comment 12 Giulio 'juliuxpigface' 2016-01-04 04:55:05 EST
Created attachment 1111424 [details]
File: proc_pid_status
Comment 13 Giulio 'juliuxpigface' 2016-01-04 04:55:08 EST
Created attachment 1111425 [details]
File: var_log_messages
Comment 14 Michael Schwendt 2016-01-04 08:06:09 EST
> I added a new account (the provider is gmail), then claws-mail closed
> suddenly and abrt caught the issue.

Maybe that's what you've done, but how reproducible is it? Have you tried to reproduce it?


> auto_configure_done

Can you reconstruct the details, i.e. the steps you use when adding the new account? When exactly did you click the "Auto-configure" button?
Comment 15 Giulio 'juliuxpigface' 2016-01-05 04:45:08 EST
Yesterday I hit it a couple of times, so I thought it was easily reproducible. Today, I've tried for an hour to trigger it, but I have not been able to reproduce it.

The steps were - more or less - the following:
1) Configuration > Edit accounts > New.
2) Input appropriate data into these fields: "name of account", "full name", "mail address".
3) Click "Auto-configure".
4) Switch from "POP3" to "IMAP4" and click "Auto-configure" again.
5) Input the password
6) Click "Apply" and "Ok"
Comment 16 Michael Schwendt 2016-01-29 14:02:34 EST
> Today, I've tried for an hour to trigger it, but I have not been able to
> reproduce it.

Which increases the odds that the crash is just a side-effect of a bug somewhere else. We really cannot forward issues like that to upstream either.
Comment 17 Jan Kurik 2016-02-24 09:13:18 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 18 Fedora End Of Life 2017-07-25 15:43:06 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2017-08-08 08:37:11 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.